
# react-native-circle-drag

## Getting started

`$ npm install react-native-circle-drag --save`

### Mostly automatic installation

`$ react-native link react-native-circle-drag`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-circle-drag` and add `RNCircleDrag.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNCircleDrag.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.circle-drag.RNCircleDragPackage;` to the imports at the top of the file
  - Add `new RNCircleDragPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-circle-drag'
  	project(':react-native-circle-drag').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-circle-drag/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-circle-drag')
  	```


## Usage
```javascript
import RNCircleDrag from 'react-native-circle-drag';

// TODO: What to do with the module?
RNCircleDrag;
```
  